## cython 0.9.6.14

=== Makefile ===
VERSION = 0.9.6.3
PYTHON?=python

version:
	@echo "Setting version to $(VERSION)"
	@echo "version = '$(VERSION)'" > Cython/Compiler/Version.py

clean:
	@echo Cleaning Source
	@rm -f *.pyc */*.pyc */*/*.pyc 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD

test:	testclean
	${PYTHON} runtests.py

## cython 0.9.6.10b-1osso2

=== debian/changelog ===
cython (0.9.6.10b-1osso2) unstable; urgency=low

  * updating to version 0.9.6.12

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Tue, 26 Feb 2008 15:58:22 -0300

cython (0.9.6.10b-1osso1) unstable; urgency=low

  * updating to version 0.9.6.10b

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed, 16 Jan 2008 19:19:57 -0300

cython (0.9.6.8-1osso1) unstable; urgency=low

  * updating to version 0.9.6.8

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed,  7 Nov 2007 09:46:40 -0300

cython (0.9.6.7-1osso1) unstable; urgency=low

  * first port - Cython for Maemo

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Mon, 29 Oct 2007 16:33:48 -0300

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Luciano Miguel Wolf <luciano.wolf@indt.org.br>
Build-Depends-Indep: debhelper (>= 4.1.0), python2.5-dev (>= 2.5.1-1osso2)
Standards-Version: 3.6.2

Package: python2.5-cython
Architecture: all
Depends: python2.5 (>= 2.5.1-1osso2)
Recommends: python2.5-dev (>= 2.5.1-1osso2)
Description: Cython is a language that makes writing C extensions for the Python 
 language as easy as Python itself. It is based on the well-known Pyrex, but 
 supports more cutting edge functionality and optimizations. 
 This package is built for Python 2.5.x.

Package: python2.5-cython-dev
Architecture: all
Depends: python2.5-cython (= ${Source-Version})
Recommends: python2.5-dev (>= 2.5.1-1osso2)
Description: Cython development package.

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base = python2.5-cython
p_dev = python2.5-cython-dev
d_base = debian/$(p_base)
d_dev = debian/$(p_dev)

filename=cython
fullfilename=$(PYTHON)-$(filename)

build: build-stamp
build-stamp:
	dh_testdir
	find . -name .DS_Store -exec rm -rf {} \;
	find [DPTCs]* -type f -exec chmod -x {} \;
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(d_base)
	$(PYTHON) setup.py clean --all
	find . -name "*.py[co]" -exec rm -rf {} \;
	find . -name "Makefile" -exec rm -rf {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(PYTHON) setup.py install --root=$(d_base)
	# There are some links to ".py" files inside the code
	#$(PYTHON) -OO -m compileall -d / -f $(d_base)/usr/lib/$(PYTHON)/site-packages/Cython

	#base
	#find $(d_base) -name "*.py" | xargs rm -rf
	#find $(d_base) -name "*.pyc" | xargs rm -rf

	#dev
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)
	cp Doc/* $(d_dev)/usr/share/doc/$(p_dev) 
	cp -r Demos/ $(d_dev)/usr/share/doc/$(p_dev) 

	# cleanup
	find $(d_base) -name ".svn" | xargs rm -rf
	find $(d_dev) -name ".svn" | xargs rm -rf
	find $(d_dev) -name ".hg" | xargs rm -rf


binary: binary-indep binary-arch
binary-indep: install
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs
#	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary binary-arch binary-indep install configure

## cython 0.9.8

=== Makefile ===
PYTHON?=python

clean:
	@echo Cleaning Source
	@rm -f *.pyc */*.pyc */*/*.pyc 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD

test:	testclean
	${PYTHON} runtests.py

test3:	testclean
	${PYTHON} runtests.py --no-cleanup
	python3.0 runtests.py --no-cython

## cython 0.10.3

=== Makefile ===
PYTHON?=python

all:    local 

local:
	${PYTHON} setup.py build_ext --inplace

clean:
	@echo Cleaning Source
	@rm -fr build
	@rm -f *.pyc */*.pyc */*/*.pyc 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@rm -f Cython/Plex/Scanners.{so,pyd}
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD

test:	testclean
	${PYTHON} runtests.py -vv

test3:	testclean
	${PYTHON} runtests.py --no-cleanup
	python3.0 runtests.py -vv --no-cython

s5:
	$(MAKE) -C Doc/s5 slides

## cython 0.11.2

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,11 @@
 	@rm -f *.pyc */*.pyc */*/*.pyc 
 	@rm -f *~ */*~ */*/*~
 	@rm -f core */core
-	@rm -f Cython/Plex/Scanners.{so,pyd}
+	@rm -f Cython/Compiler/Parsing.{c,so,pyd}
+	@rm -f Cython/Compiler/Scanning.{c,so,pyd}
+	@rm -f Cython/Compiler/Visitor.{c,so,pyd}
+	@rm -f Cython/Runtime/refnanny.{c,so,pyd}
+	@rm -f Cython/Plex/Scanners.{c,so,pyd}
 	@(cd Demos; $(MAKE) clean)
 
 testclean:

=== Demos/embed/Makefile ===
# Makefile for creating our standalone Cython program
PYVERSION=2.3
PYPREFIX=/usr
INCLUDES=-I$(PYPREFIX)/include/python$(PYVERSION)

embedded: embedded.o
	gcc -o $@ $^ -lpython$(PYVERSION)

embedded.o: embedded.c
	gcc -c $^ $(INCLUDES)

embedded.c: embedded.pyx
	@python ../../cython.py --embed embedded.pyx

all: embedded

clean:
	@echo Cleaning Demos/embed
	@rm -f *~ *.o *.so core core.* *.c embedded

## cython 0.12.1

=== Makefile ===
PYTHON?=python
REPO = http://hg.cython.org/cython-devel

all:    local 

local:
	${PYTHON} setup.py build_ext --inplace

.hg: REV := $(shell cat .hgrev)
.hg: TMPDIR := $(shell mktemp -d tmprepo.XXXXXX)
.hg: 
	hg clone --rev $(REV) $(REPO) $(TMPDIR)
	hg -R $(TMPDIR) update
	mv $(TMPDIR)/.hg .
	mv $(TMPDIR)/.hgignore .
	mv $(TMPDIR)/.hgtags .
	rm -rf $(TMPDIR)

repo: .hg


clean:
	@echo Cleaning Source
	@rm -fr build
	@rm -f *.pyc */*.pyc */*/*.pyc 
	@rm -f *.so */*.so */*/*.so 
	@rm -f *.pyd */*.pyd */*/*.pyd 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@rm -f Cython/Compiler/*.c
	@rm -f Cython/Plex/*.c
	@rm -f Cython/Runtime/refnanny.c
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD

test:	testclean
	${PYTHON} runtests.py -vv

test3:	testclean
	${PYTHON} runtests.py --no-cleanup
	python3.0 runtests.py -vv --no-cython

s5:
	$(MAKE) -C Doc/s5 slides

=== Demos/embed/Makefile ===
# Makefile for creating our standalone Cython program
PYVERSION=$(shell python -c "import sys; print(sys.version[:3])")
PYPREFIX=$(shell python -c "import sys; print(sys.prefix)")
LINKFORSHARED=$(shell python -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKFORSHARED'))")
INCLUDES=-I$(PYPREFIX)/include/python$(PYVERSION)

embedded: embedded.o
	gcc -o $@ $^ $(LINKFORSHARED) -lpython$(PYVERSION) -lm -lpthread -ldl -lutil -L$(PYPREFIX)/lib

embedded.o: embedded.c
	gcc -c $^ $(INCLUDES)

embedded.c: embedded.pyx
	@python ../../cython.py --embed embedded.pyx

all: embedded

clean:
	@echo Cleaning Demos/embed
	@rm -f *~ *.o *.so core core.* *.c embedded test.output

test: clean all
	./embedded > test.output
	python assert_equal.py embedded.output test.output

## cython 0.12.1-1.1maemo1

=== debian/changelog ===
cython (0.12.1-1.1maemo1) unstable; urgency=low

  * Import new debian version (0.12.1-1.1). (Closes: MB#6348)
  * Backport changes from previous maemo ports
  * Use SBOX_REDIRECT_IGNORE to use correct python executable.

 -- Lauro Neto <lauro.neto@openbossa.org>  Mon, 24 May 2010 11:22:19 -0300

cython (0.12.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Introducing cython-dbg (Closes: #541314)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 May 2010 14:11:54 -0400

cython (0.12.1-1) unstable; urgency=low

  [ Kirill Smelkov ]
  * New upstream release (Closes: #560298)

  [ Jakub Wilk ]
  * Fix watch file.

  [ Ondrej Certik ]
  * Standards-Version bumped to 3.8.3 (no change needed)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 13 Feb 2010 18:59:52 -0800

cython (0.11.2-1maemo1) unstable; urgency=low

  * New upstream release (from Debian squeeze).
  * Remove modifications related to test package.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 08 Oct 2009 08:01:00 -0400

cython (0.11.2-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * New upstream release (Closes: #525620, #536213)

  [ Jakub Wilk ]
  * debian/rules: remove generated files.

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.8.2 (no change needed)

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Mon, 10 Aug 2009 23:18:51 +0200

cython (0.10.3-1) unstable; urgency=low

  [ Vernon Tang ]
  * New upstream release
  * debian/watch: corrected regexp

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 15 Feb 2009 11:27:13 -0800

cython (0.10.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Ondrej Certik ]
  * New upstream release
  * Description updated
  * ${shlibs:Depends} added to depends
  * architecture changed from all to any
  * python-support moved from Build-Depends-Indep to Build-Depends

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 02 Dec 2008 12:06:41 +0100

cython (0.9.8-1maemo5) unstable; urgency=low

  * Remove hardcoded 'site-packages' paths allowing install without
    problems in either python2.5 ou python2.6
  * debian/rules:
    - Drop fixed version passed to cdbs_python_compile_version
    - Pass --install-layout=deb flag to setup.py via CDBS

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Mon,  8 Jun 2009 15:20:50 -0400

cython (0.9.8-1maemo4) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Add some more tests (from the source code of cython)
  * Remove quilt dependency (needed for runtests.sh, storing it inside ./debian)
  * Misc. fixes for cleanup and improving compatibility of runtests.sh
  * Add Conflicts/Replaces in debian/control:
    -  python2.5-cython (<< 0.9.8-1maemo4)
  * Small fix in clean rule from debian/rules

  [ Anderson Lizardo ]
  * debian/control:
    + Remove "Uploaders" field (not applicable to maemo).
    + Put the pymaemo-developers mailing list address in "Maintainer" field and
      move original value to a separate field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 31 Mar 2009 15:25:38 -0400

cython (0.9.8-1maemo3) unstable; urgency=low

  * Avoid using quilt provided by maemo3-tools devkit.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 30 Dec 2008 10:53:54 -0400

cython (0.9.8-1maemo2) unstable; urgency=low

  * Add cython-tests binary package, containing standalone tests from
    the source code of cython.
  * New patch: 01-create-runtests.sh.patch (needed to run the standalone 
    tests for this package)
  * Add quilt build dependency in debian/control

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Mon, 15 Dec 2008 07:54:04 -0400

cython (0.9.8-1maemo1) unstable; urgency=low

  * Remove minimum version for cdbs and python-support dependencies
  * Change python dependency to python-all
  * Force python version to 2.5 in debian/rules for proper compiling 
    inside scratchbox

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri, 14 Nov 2008 11:48:02 -0400

cython (0.9.8-1) unstable; urgency=low

  * New upstream release
  * python-all-dev added to build-depends (upstream now compiles
    Cython.Plex.Scanners with Cython). The .so file is not included in the
    .deb for some reason, so until this is fixed, the package stays
    architecture all and remains pure Python.

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 20 Jul 2008 12:43:45 +0200

cython (0.9.6.14-1) unstable; urgency=low

  * New upstream version
  * Description improved (SAGE -> Sage), whitespace removed
  * Standards-Version bumped (no change needed)
  * README.Debian updated to recent cython way of doing things

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 11 Jun 2008 13:22:09 +0200

cython (0.9.6.13.1-1) unstable; urgency=low

  * New upstream version (Closes: #478077)

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 27 Apr 2008 00:54:05 +0200

cython (0.9.6.12-1) unstable; urgency=low

  * New upstream version (Closes: #463625)
  * get-orig-tarball targed removed from debian/rules (uscan now works to get
    orig.tar.gz)

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 14 Feb 2008 13:58:23 +0100

cython (0.9.6.11.ds-1) unstable; urgency=low

  [ Marco Rodrigues ]
  * debian/watch:
    + Fixed path (Closes: #460006).
  * debian/control:
    + Bump cdbs version to matches policy.

  [ Ondrej Certik ]
  * New upstream version 

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 18 Jan 2008 00:21:42 +0100

cython (0.9.6.10.ds-1) unstable; urgency=low

  * New upstream version
  * Moved from pycentral to pysupport
  * removed patches, since upstream has integrated them

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 31 Dec 2007 03:28:34 +0100

cython (0.9.6.8.ds-2) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-Upload-Allowed
  * Update Standards-Version to 3.7.3.
  * Build-depend on python instead of python-all-dev
  * ${misc:Depends} added to Depends
  * Depend on debhelper >= 5.0.38
  * gcc added to Suggests


=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg
Standards-Version: 3.8.3
Homepage: http://cython.org/
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cython/trunk/
XS-DM-Upload-Allowed: yes

Package: cython
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: gcc
Replaces: python2.5-cython (<< 0.9.8-1maemo4)
Conflicts: python2.5-cython (<< 0.9.8-1maemo4)
XB-Python-Version: ${python:Versions}
Description: C-Extensions for Python
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping for external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
Suggests: gcc
XB-Python-Version: ${python:Versions}
Description: C-Extensions for Python (Debug Build of Cython)
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# workaround to avoid calling Scratchbox python2.3
PATH := /usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE = /usr/bin/python
export SBOX_REDIRECT_IGNORE

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/cython::
	dh_installman debian/cython.1


#
# Debugging version -dbg
#
# Re-build using python-dbg
install/cython-dbg ::
	for i in $(cdbs_python_build_versions); do \
	  python$$i-dbg ./setup.py install $(DEB_PYTHON_INSTALL_ARGS_ALL) \
		 --root $(CURDIR)/debian/cython-dbg; \
	done
	: # Keep only _d.so files for cython-dbg package
	find debian/cython-dbg ! -type d ! -name '*_d.so' | xargs rm -f
	: # Prune empty directories
	find debian/cython-dbg -depth -empty -exec rmdir \{\} \;

binary-predeb/cython-dbg::
	mkdir -p debian/cython-dbg/usr/share/doc
	ln -s cython debian/cython-dbg/usr/share/doc/cython-dbg


clean::
	rm -f Cython/Compiler/Lexicon.pickle Cython/*/*.c
	: # Just prune build entirely
	find . -name "*.pyo" -exec rm -f '{}' \;
	rm -rf build

# Install directly into package directory (despite multiple packages
# due to having cython-dbg)
DEB_DESTDIR = $(CURDIR)/debian/cython

## cython 0.13

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 clean:
 	@echo Cleaning Source
 	@rm -fr build
-	@rm -f *.pyc */*.pyc */*/*.pyc 
+	@rm -f *.py[co] */*.py[co] */*/*.py[co] */*/*/*.py[co]
 	@rm -f *.so */*.so */*/*.so 
 	@rm -f *.pyd */*.pyd */*/*.pyd 
 	@rm -f *~ */*~ */*/*~
@@ -38,9 +38,5 @@
 test:	testclean
 	${PYTHON} runtests.py -vv
 
-test3:	testclean
-	${PYTHON} runtests.py --no-cleanup
-	python3.0 runtests.py -vv --no-cython
-
 s5:
 	$(MAKE) -C Doc/s5 slides

=== Demos/embed/Makefile ===
# Makefile for creating our standalone Cython program
PYTHON=python
PYVERSION=$(shell $(PYTHON) -c "import sys; print(sys.version[:3])")

INCDIR=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_python_inc())")
LIBDIR1=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBDIR'))")
LIBDIR2=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBPL'))")

CC=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('CC'))")
LINKCC=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKCC'))")
LINKFORSHARED=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKFORSHARED'))")
LIBS=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LIBS'))")
SYSLIBS= $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('SYSLIBS'))")

embedded: embedded.o
	$(LINKCC) -o $@ $^ $(LINKFORSHARED) -L$(LIBDIR1) -L$(LIBDIR2) -lpython$(PYVERSION) $(LIBS) $(SYSLIBS)

embedded.o: embedded.c
	$(CC) -c $^ -I$(INCDIR)

embedded.c: embedded.pyx
	@$(PYTHON) ../../cython.py --embed embedded.pyx

all: embedded

clean:
	@echo Cleaning Demos/embed
	@rm -f *~ *.o *.so core core.* *.c embedded test.output

test: clean all
	./embedded > test.output
	$(PYTHON) assert_equal.py embedded.output test.output

## cython 0.14.1

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,21 @@
 PYTHON?=python
-REPO = http://hg.cython.org/cython-devel
+REPO = git://github.com/cython/cython.git
 
 all:    local 
 
 local:
 	${PYTHON} setup.py build_ext --inplace
 
-.hg: REV := $(shell cat .hgrev)
-.hg: TMPDIR := $(shell mktemp -d tmprepo.XXXXXX)
-.hg: 
-	hg clone --rev $(REV) $(REPO) $(TMPDIR)
-	hg -R $(TMPDIR) update
-	mv $(TMPDIR)/.hg .
-	mv $(TMPDIR)/.hgignore .
-	mv $(TMPDIR)/.hgtags .
+.git: REV := $(shell cat .gitrev)
+.git: TMPDIR := $(shell mktemp -d tmprepo.XXXXXX)
+.git: 
+	git clone $(REPO) $(TMPDIR)
+	cd $(TMPDIR); git checkout -b working $(REV)
+	mv $(TMPDIR)/{.git,.hgtags,.hgignore} .
+	mv $(TMPDIR)/Doc/s5 Doc/s5
 	rm -rf $(TMPDIR)
 
-repo: .hg
+repo: .git
 
 
 clean:

=== Demos/embed/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 INCDIR=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_python_inc())")
 LIBDIR1=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBDIR'))")
 LIBDIR2=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBPL'))")
+STATIC_PYLIB=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBRARY'))")
 
 CC=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('CC'))")
 LINKCC=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKCC'))")
@@ -13,7 +14,7 @@
 SYSLIBS= $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('SYSLIBS'))")
 
 embedded: embedded.o
-	$(LINKCC) -o $@ $^ $(LINKFORSHARED) -L$(LIBDIR1) -L$(LIBDIR2) -lpython$(PYVERSION) $(LIBS) $(SYSLIBS)
+	$(LINKCC) -o $@ $^ $(LIBDIR1)/$(STATIC_PYLIB) $(LINKFORSHARED) -L$(LIBDIR1) -L$(LIBDIR2) $(LIBS) $(SYSLIBS)
 
 embedded.o: embedded.c
 	$(CC) -c $^ -I$(INCDIR)

=== debian/changelog ===
cython (0.14.1-6) unstable; urgency=low

  * Team upload.
  * Un-version python in shebangs with sed. (Closes: #577143)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Apr 2011 10:21:06 +0200

cython (0.14.1-5) unstable; urgency=low

  * Cherry-picked from upstream:
    - 0001-additional-fix-and-test-for-ticket-650.patch (Closes: #620859)
    - 0001-Python-3-fix-NumPy-support.patch to address some of the numpy 1.5
      compatibility issues
  * Temporarily skipped 2 doctests triggered by numpy 1.5 incompatibility
    which is on upstream's TODO: patch deb_tempdisable_numpy_doctests

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 11:07:21 -0400

cython (0.14.1-4) unstable; urgency=low

  * Cherry-picked from upstream:
    - 0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
      (Closes: #613989)
    - 0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
      (Closes: #613993)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 17:21:26 -0500

cython (0.14.1-3) unstable; urgency=low

  * Remove python-profiler from Build-Depends: it is non-free

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 09:09:13 -0500

cython (0.14.1-2) unstable; urgency=low

  * Run unittests against default Python version during build
    - Adopted 0001-fix-makefile-for-embed-testcase.patch from upstream
      for embedded test to perform correctly
  * Added numpy and profiler into Build-Depends to facilitate all tests above

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Feb 2011 13:35:52 -0500

cython (0.14.1-1) unstable; urgency=low

  * Reincarnating uploads to unstable
  * Fresh upstream release
  * debian/control: added python-dev into Suggests (Closes: #545809)
  * Standards-Version bumped to 3.9.1 (no change needed)
  * Use help2man to generate a reasonable manpage (Closes: #607098)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 Feb 2011 09:41:12 -0500

cython (0.13-1) experimental; urgency=low

  * New upstream release
  * debian/control: added myself to Uploaders
  * debian/rules: fetch upstream ReleaseNotes to serve a changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Sep 2010 14:28:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: cdbs, debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg
-Standards-Version: 3.8.3
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg, help2man (>= 1.37.1~), python-numpy
+Standards-Version: 3.9.1
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cython/trunk/
@@ -13,9 +13,7 @@
 Package: cython
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Suggests: gcc
-Replaces: python2.5-cython (<< 0.9.8-1maemo4)
-Conflicts: python2.5-cython (<< 0.9.8-1maemo4)
+Suggests: python-dev, gcc
 XB-Python-Version: ${python:Versions}
 Description: C-Extensions for Python
  Cython is a language that makes writing C extensions for the Python language as

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM=pysupport

#  Apparently WGET agent is not favored by upstream's MoinMoin
WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
WIKI_URL=http://wiki.cython.org

# Directory where to store upstream changelogs
CHANGELOGS=debian/changelogs

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/cython:: assure-changelogs build/cython.1
	dh_installman build/cython.1

#
# Testing
#
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
install/cython::
	: # Run tests battery against current default version of Python
	PYTHONPATH=$(shell /bin/ls -d $(CURDIR)/build/lib.*$(cdbs_python_current_version)) \
		python runtests.py --no-refnanny -v -v --work-dir=build/work-dir
endif

#
# Debugging version -dbg
#
# Re-build using python-dbg
install/cython-dbg::
	for i in $(cdbs_python_build_versions); do \
	  python$$i-dbg ./setup.py install $(DEB_PYTHON_INSTALL_ARGS_ALL) \
		 --root $(CURDIR)/debian/cython-dbg; \
	done
	: # Keep only _d.so files for cython-dbg package
	find debian/cython-dbg ! -type d ! -name '*_d.so' | xargs rm -f
	: # Prune empty directories
	find debian/cython-dbg -depth -empty -exec rmdir \{\} \;

binary-predeb/cython-dbg::
	mkdir -p debian/cython-dbg/usr/share/doc
	ln -s cython debian/cython-dbg/usr/share/doc/cython-dbg

# Fix shebang:
binary-fixup/cython::
	sed -i -e '1 s,#!.*python.*,#! /usr/bin/python,' debian/cython/usr/bin/*

#
# Custom rules used above
#
build/cython.1: build
	: # Generate a manpage using help2man
	PYTHONPATH="$(shell /bin/ls -d $(CURDIR)/build/lib.*-$(cdbs_python_current_version) 2>&1)" \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :

# To fetch and update upstream Changelogs
# Notes:
#  SED is used to do minor de-wikification to make text readable
get-changelogs:
	mkdir -p $(CHANGELOGS)
	: # Fetching ReleaseHistory and other available ReleaseNotes
	@release_notes=`$(WGET) -O- '$(WIKI_URL)/ReleaseHistory?action=raw' | sed -n -e '1,/^=/p' | grep ReleaseNotes | sed -e 's/.*\[\([^]]*\)\].*/\1/g'`; \
	for rnotes in ReleaseHistory $$release_notes; do \
		rnotes_url=$(WIKI_URL)/$$rnotes; \
		echo "Fetching $$rnotes_url"; \
		{ \
		 echo -e "Fetched from $$rnotes_url on `date`\n"; \
		 $(WGET) -O- "$$rnotes_url?action=raw" \
		 | sed -e 's,\({{{\|}}}\),,g' -e 's,\[\[\([^]]*\)|[^]]*\]\],\1,g'; \
		} >| $(CHANGELOGS)/$$rnotes; \
	 done

# Assure presence of a changelog for current upstream release
assure-changelogs:
	@: "Assure present upstream changelog file"
	@if [ ! -e $(CHANGELOGS)/ReleaseNotes-"$(DEB_UPSTREAM_VERSION)" ] && ! grep -q '^$(DEB_UPSTREAM_VERSION)$$' $(CHANGELOGS)/skip ; then \
		echo >&2 "E: ReleaseNotes for $(DEB_UPSTREAM_VERSION) are missing from $(CHANGELOGS)"; \
		echo >&2 "I: Run 'debian/rules get-changelogs' or add version into $(CHANGELOGS)/skip"; \
		exit 1; \
	fi


clean::
	rm -f Cython/Compiler/Lexicon.pickle Cython/*/*.c
	: # Just prune build entirely
	rm -rf build

# Install directly into package directory (despite multiple packages
# due to having cython-dbg)
DEB_DESTDIR = $(CURDIR)/debian/cython
DEB_INSTALL_CHANGELOGS_cython = $(CHANGELOGS)/ReleaseHistory
DEB_INSTALL_DOCS_cython = $(CHANGELOGS)/ReleaseNotes*
# CDBS causes the puke and Yarik have no time to figure it out
# DEB_INSTALL_DOCS_cython-dbg = --link-doc=cython
DEB_CLEAN_EXCLUDE = $(CHANGELOGS)

=== debian/watch ===
version=3
http://cython.org/release/Cython-([0-9.]+)\.tar\.gz

## cython 0.15.1

=== Demos/embed/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 INCDIR=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_python_inc())")
 LIBDIR1=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBDIR'))")
 LIBDIR2=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBPL'))")
-STATIC_PYLIB=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBRARY'))")
+PYLIB=$(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBRARY')[3:-2])")
 
 CC=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('CC'))")
 LINKCC=$(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKCC'))")
@@ -14,13 +14,14 @@
 SYSLIBS= $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('SYSLIBS'))")
 
 embedded: embedded.o
-	$(LINKCC) -o $@ $^ $(LIBDIR1)/$(STATIC_PYLIB) $(LINKFORSHARED) -L$(LIBDIR1) -L$(LIBDIR2) $(LIBS) $(SYSLIBS)
+	$(LINKCC) -o $@ $^ -L$(LIBDIR1) -L$(LIBDIR2) -l$(PYLIB) $(LIBS) $(SYSLIBS) $(LINKFORSHARED)
 
 embedded.o: embedded.c
 	$(CC) -c $^ -I$(INCDIR)
 
+CYTHON=../../cython.py
 embedded.c: embedded.pyx
-	@$(PYTHON) ../../cython.py --embed embedded.pyx
+	@$(PYTHON) $(CYTHON) --embed embedded.pyx
 
 all: embedded

=== debian/changelog ===
cython (0.15.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Julien Danjou <acid@debian.org>  Tue, 22 Nov 2011 15:05:09 +0100

cython (0.15.1-1) unstable; urgency=low

  [ Nikolaus Rath ]
  * New upstream version (Closes: #637388)
    - cython --help no longer mentions -r option (Closes: #607097)
    - Compiles cleanly with Python 2.7 (Closes: #627773)
    - Fixed compile time division (Closes: #641128)
  * Dropped patches, have been incorporated upstream:
    0001-fix-makefile-for-embed-testcase.patch
    0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
    0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
    0001-additional-fix-and-test-for-ticket-650.patch
    0001-Python-3-fix-NumPy-support.patch

  [ Yaroslav Halchenko ]
  * Standards-Version bumped to 3.9.2 (no change needed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Sep 2011 10:35:03 -0400

cython (0.14.1-7) UNRELEASED; urgency=low

  * Fix shebang before dh_pysupport is called, to remove unnecessary
    Dependencies.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 02 Jun 2011 16:59:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg, help2man (>= 1.37.1~), python-numpy
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cython/trunk/

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	ln -s cython debian/cython-dbg/usr/share/doc/cython-dbg
 
 # Fix shebang:
-binary-fixup/cython::
+binary-install/cython::
 	sed -i -e '1 s,#!.*python.*,#! /usr/bin/python,' debian/cython/usr/bin/*
 
 #

## cython 0.16

=== debian/changelog ===
cython (0.16-1ubuntu1) quantal; urgency=low

  * Build with -fsigned-char as a temporary workaround to upstream's
    non-portable assumptions about char signedness on non-x86 arches.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 29 Jul 2012 06:20:47 -0600

cython (0.16-1) experimental; urgency=low

  [ Bradley M. Froehle ]
  * Switch from cdbs to dh7
  * Change build system to dh_python2 (Closes: #677405).
    Thanks also to Julian Taylor for an alternative patch
  * Bump Standards-Version to 3.9.3

  [ Yaroslav Halchenko ]
  * "stings" typo patch, Thanks Jakub Wilk (Closes: #679359)
  * Fresh upstream release (Closes: #671070)
    - compatibile with changed __import__ in Python 3.3 (Closes: #681697)
    - required to BFS for new python-pymtp
    - dropping patches deb_tempdisable_numpy_doctests, python27-testsuite-fix.patch
    - excluding parallel tests since they fail ATM (reported/known upstream)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Jul 2012 20:16:03 -0400

cython (0.15.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Strip CRs from upstream changelogs.

  [ Barry Warsaw ]
  * debian/patches/python27-testsuite-fix.patch:
    Fix test suite for Python 2.7 change.  Patch comes from Cython
    upstream, post 0.15.1 release.  (Closes: #651996)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 07 Jan 2012 12:32:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg, help2man (>= 1.37.1~), python-numpy
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, help2man (>= 1.37.1~), python-numpy
+Standards-Version: 3.9.3
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cython/trunk/
@@ -14,7 +15,6 @@
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: python-dev, gcc
-XB-Python-Version: ${python:Versions}
 Description: C-Extensions for Python
  Cython is a language that makes writing C extensions for the Python language as
  easy as Python itself. Cython is based on the well-known Pyrex, but supports
@@ -34,7 +34,6 @@
 Priority: extra
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
 Suggests: gcc
-XB-Python-Version: ${python:Versions}
 Description: C-Extensions for Python (Debug Build of Cython)
  This package contains Cython libraries built against versions of
  Python configured with --pydebug.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#  Apparently WGET agent is not favored by upstream's MoinMoin
WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
WIKI_URL=http://wiki.cython.org

# Directory where to store upstream changelogs
CHANGELOGS=debian/changelogs

# Quick workaround for signed/unsigned portability issues in cython:
export CFLAGS += -fsigned-char

# Python versions
PYDEF=$(shell pyversions -dv)
PY2VERS=$(shell pyversions -vr)

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_installman:
	: # Generate a manpage using help2man
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :
	dh_installman build/cython.1

override_dh_install:
	dh_install

	: # fix shebang
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python,' debian/cython/usr/bin/*

	: # remove files installed from cython.install that belong in -dbg
	find $(CURDIR)/debian/cython/ -name "*_d.so" -delete

	: # share -dbg and normal package doc dirs
	rm -rf debian/cython-dbg/usr/share/doc/cython-dbg
	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOGS)/ReleaseHistory

override_dh_installdocs: assure-changelogs
	dh_installdocs $(CHANGELOGS)/ReleaseNotes-*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for P in $(PY2VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="parallel" --work-dir=build/work-dir; \
	done
endif

override_dh_strip:
	dh_strip -pcython --dbg-package=cython-dbg

override_dh_auto_clean:
	rm -rf build
	find -name "*.py[oc]" -type f -delete

# To fetch and update upstream Changelogs
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

# Notes:
#  SED is used to do minor de-wikification to make text readable
get-changelogs:
	mkdir -p $(CHANGELOGS)
	: # Fetching ReleaseHistory and other available ReleaseNotes
	@release_notes=`$(WGET) -O- '$(WIKI_URL)/ReleaseHistory?action=raw' | sed -n -e '1,/^=/p' | grep ReleaseNotes | sed -e 's/.*\[\([^]]*\)\].*/\1/g'`; \
	for rnotes in ReleaseHistory $$release_notes; do \
		rnotes_url=$(WIKI_URL)/$$rnotes; \
		echo "Fetching $$rnotes_url"; \
		{ \
		 echo "Fetched from $$rnotes_url on `date`\n"; \
		 $(WGET) -O- "$$rnotes_url?action=raw" \
		 | sed -e 's,\({{{\|}}}\),,g' -e 's,\[\[\([^]]*\)|[^]]*\]\],\1,g' -e 's/\r//'; \
		} >| $(CHANGELOGS)/$$rnotes; \
	 done

# Assure presence of a changelog for current upstream release
assure-changelogs:
	@: "Assure present upstream changelog file"
	@if [ ! -e $(CHANGELOGS)/ReleaseNotes-"$(DEB_UPSTREAM_VERSION)" ] && ! grep -q '^$(DEB_UPSTREAM_VERSION)$$' $(CHANGELOGS)/skip ; then \
		echo >&2 "E: ReleaseNotes for $(DEB_UPSTREAM_VERSION) are missing from $(CHANGELOGS)"; \
		echo >&2 "I: Run 'debian/rules get-changelogs' or add version into $(CHANGELOGS)/skip"; \
		exit 1; \
	fi

## cython 0.17.3

=== debian/changelog ===
cython (0.17.3-1) experimental; urgency=low

  * Bugfix upstream release:
    - upstream includes all previously shipped patches
    - provides CHANGES.rst (was missing from source distribution,
      up_changes_rst patch provides a copy), so all machinery for fetching
      changelogs from wiki is removed
  * Pruning shipped underscore.js, -doc depends on libjs-underscore now

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Dec 2012 12:34:19 -0500

cython (0.17.2-1+bnd1) UNRELEASED; urgency=low

  * debian/patches/squeeze-dsc-patch for a non-official backport build for
    squeeze

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 15 Dec 2012 23:06:59 -0500

cython (0.17.2-1) experimental; urgency=low

  * Bugfix upstream release with post-release fixes:
    - 0001-keep-longness-when-folding-negative-integer-constant.patch
    - 0003-Fix-compiler-crash.patch
    - 0005-fix-cimport-cython-in-string-code-fragments.patch
    - 0006-fix-refnanny-code-for-del-statement-inside-of-genera.patch
    - 0001-fix-analysis-of-entry-to-be-a-weakref-typo-introduce.patch
      (Closes: #692313)
    - fix-ma-includes.patch from Julian Taylor to add platform specific
      paths (e.g. introduced with multiarch in python3.3) (Closes: #693555)
  * Boost python-dev to Recommends from Suggests for most common usage
    scenarios (Closes: #545809).  Also list python3-dev instead
    of python-dev for cython3 package.
  * Provide cython-doc package with documentation built using sphinx
    (Closes: #615932)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Dec 2012 12:28:05 -0500

cython (0.17.1-1) experimental; urgency=low

  * Bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 29 Sep 2012 19:01:53 -0400

cython (0.17-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Sep 2012 16:41:46 -0400

cython (0.17~beta4+git15-g6457431-1) experimental; urgency=low

  * New upstream pre-release snapshot
  * debian/rules:
    - assure-changelogs upon clean to don't wait for crash at the end of
      build/test due to a missing changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 31 Aug 2012 10:33:42 -0400

cython (0.17~beta3-1) experimental; urgency=low

  * New upstream pre-release beta
    - adopted up_upstream_cache_ext_suffix

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Aug 2012 09:47:01 -0400

cython (0.17~beta1-2) experimental; urgency=low

  * Restrict actions of dh_python* helpers to corresponding cython*
    packages (otherwise cython obtains python3 shebang)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 Jul 2012 15:30:25 -0400

cython (0.17~beta1-1) experimental; urgency=low

  [ Bradley M. Froehle ]
  * Provide Python 3 package -- cython3 (Closes: #674073)

  [ Yaroslav Halchenko ]
  * New upstream release
    - addresses gcc 4.7 compatibility (Closes: #682652)
  * export HOME=$(CURDIR)/build to not rely on user's writable HOME
    (was triggered by some tests leading to FTBFS)
  * debian/watch
    - allow fetching beta-releases
  * debian/patches
    - dropped (upstreamed)
    - added up_upstream_cache_ext_suffix to resolve failure due to multiarch
      (see #682795 for the reason)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Jul 2012 21:41:44 -0400

## cython 0.17.4

=== debian/changelog ===
cython (0.17.4-0ubuntu1) raring; urgency=low

  * New upstream version.
    - Fixed: Garbage collection triggered during deallocation of container
      classes could lead to a double-deallocation.
  * Fix numpy test failures. LP: #1163782.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Apr 2013 11:12:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, help2man (>= 1.37.1~), python-numpy
+Build-Depends: debhelper (>= 7.0.50~),
+               python-all-dev (>= 2.6.6-3~), python-all-dbg,
+               help2man (>= 1.37.1~),
+               python-sphinx,
+               python-numpy,
+               python3-all-dev,
+               python3-all-dbg,
+               python3-numpy
 Standards-Version: 3.9.3
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
@@ -14,7 +20,7 @@
 Package: cython
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Suggests: python-dev, gcc
+Recommends: python-dev, gcc
 Description: C-Extensions for Python
  Cython is a language that makes writing C extensions for the Python language as
  easy as Python itself. Cython is based on the well-known Pyrex, but supports
@@ -33,7 +39,41 @@
 Section: debug
 Priority: extra
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
-Suggests: gcc
-Description: C-Extensions for Python (Debug Build of Cython)
+Description: C-Extensions for Python - debug build
  This package contains Cython libraries built against versions of
  Python configured with --pydebug.
+
+Package: cython3
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3-dev, gcc
+Description: C-Extensions for Python 3
+ Cython is a language that makes writing C extensions for the Python language as
+ easy as Python itself. Cython is based on the well-known Pyrex, but supports
+ more cutting edge functionality and optimizations.
+ .
+ The Cython language is very close to the Python language, but Cython
+ additionally supports calling C functions and declaring C types on variables
+ and class attributes. This allows the compiler to generate very efficient C
+ code from Cython code.
+ .
+ This makes Cython the ideal language for wrapping for external C libraries, and
+ for fast C modules that speed up the execution of Python code.
+
+Package: cython3-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
+Description: C-Extensions for Python 3 - debug build
+ This package contains Cython libraries built against versions of
+ Python configured with --pydebug.
+
+Package: cython-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Suggests: cython
+Description: C-Extensions for Python - documentation
+ This package contains documentation for Cython.
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#  Apparently WGET agent is not favored by upstream's MoinMoin
WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
WIKI_URL=http://wiki.cython.org

# Python versions
PYDEF=$(shell pyversions -dv)
PY2VERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

override_dh_auto_build:
	dh_auto_build

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
	 python$$v setup.py build; \
	 python$$v-dbg setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
	 python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	 python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	: # Force the creation of cython3 and cygdb3 executables.
	: # Shebang lines are fixed in override_dh_install.
	cp debian/tmp/usr/bin/cython debian/tmp/usr/bin/cython3
	cp debian/tmp/usr/bin/cygdb debian/tmp/usr/bin/cygdb3

override_dh_installman:
	: # Generate a manpage using help2man
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :
	dh_installman build/cython.1

override_dh_install:
	dh_install

	: # fix shebang
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python,' debian/cython/usr/bin/*
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*

	: # remove files installed from cython.install that belong in -dbg
	find $(CURDIR)/debian/cython/ -name "*_d.so" -delete
	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete

	: # share -dbg and normal package doc dirs
	rm -rf debian/cython-dbg/usr/share/doc/cython-dbg
	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg
	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg


override_dh_installdocs:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
	: # just faking having documentation so that dh-installdocs doesn't fail
	mkdir -p docs/build/html
else
	make -C docs html
	: # Use jquery/underscore from Debian package, so prune shipped one
	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
endif
endif
	dh_installdocs


override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for P in $(PY2VERS) $(PY3VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="parallel" --work-dir=build/work-dir; \
	done
endif

override_dh_python2:
	dh_python2 -pcython

override_dh_python3:
	dh_python3 -pcython3


override_dh_strip:
	dh_strip -pcython --dbg-package=cython-dbg
	dh_strip -pcython3 --dbg-package=cython3-dbg

override_dh_auto_clean:
	rm -rf build
	find -name "*.py[oc]" -type f -delete
